org.eclnt.jsfserver.elements.componentnodes

## Class RGRAPHNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.RGRAPHNode

- All Implemented Interfaces:
    java.io.Serializable

      public class RGRAPHNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RGRAPHNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RGRAPHNode` | `bindActionListener(IActionListenerDelegation value)`
    `RGRAPHNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindBridgepage(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindComment(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindHeight(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindRendered(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindRgraphconfig(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindShadow(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindWidth(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `bindWithcallback(IDynamicContentBindingObject value)`
    `RGRAPHNode` | `setActionListener(java.lang.String value)`
    `RGRAPHNode` | `setAdapterbinding(java.lang.String value)`
    `RGRAPHNode` | `setAnimatechangeofsize(boolean value)`
    `RGRAPHNode` | `setAnimatechangeofsize(java.lang.String value)`
    `RGRAPHNode` | `setAttributemacro(java.lang.String value)`
    `RGRAPHNode` | `setBridgepage(java.lang.String value)`
    `RGRAPHNode` | `setComment(java.lang.String value)`
    `RGRAPHNode` | `setConfiginfo(java.lang.String value)`
    `RGRAPHNode` | `setHeight(int value)`
    `RGRAPHNode` | `setHeight(java.lang.String value)`
    `RGRAPHNode` | `setId(java.lang.String value)`
    `RGRAPHNode` | `setReference(java.lang.String value)`
    `RGRAPHNode` | `setRendered(boolean value)`
    `RGRAPHNode` | `setRendered(java.lang.String value)`
    `RGRAPHNode` | `setRgraphconfig(java.lang.String value)`
    `RGRAPHNode` | `setShadow(java.lang.String value)`
    `RGRAPHNode` | `setWidth(int value)`
    `RGRAPHNode` | `setWidth(java.lang.String value)`
    `RGRAPHNode` | `setWithcallback(boolean value)`
    `RGRAPHNode` | `setWithcallback(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RGRAPHNode

          public RGRAPHNode()

  - ### Method Detail

    - #### setId

          public RGRAPHNode setId(java.lang.String value)

    - #### setActionListener

          public RGRAPHNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public RGRAPHNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public RGRAPHNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public RGRAPHNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public RGRAPHNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public RGRAPHNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public RGRAPHNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public RGRAPHNode setAttributemacro(java.lang.String value)

    - #### setBridgepage

          public RGRAPHNode setBridgepage(java.lang.String value)

    - #### bindBridgepage

          public RGRAPHNode bindBridgepage(IDynamicContentBindingObject value)

    - #### setComment

          public RGRAPHNode setComment(java.lang.String value)

    - #### bindComment

          public RGRAPHNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public RGRAPHNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public RGRAPHNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public RGRAPHNode setHeight(java.lang.String value)

    - #### bindHeight

          public RGRAPHNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public RGRAPHNode setHeight(int value)

    - #### setReference

          public RGRAPHNode setReference(java.lang.String value)

    - #### setRendered

          public RGRAPHNode setRendered(java.lang.String value)

    - #### bindRendered

          public RGRAPHNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public RGRAPHNode setRendered(boolean value)

    - #### setRgraphconfig

          public RGRAPHNode setRgraphconfig(java.lang.String value)

    - #### bindRgraphconfig

          public RGRAPHNode bindRgraphconfig(IDynamicContentBindingObject value)

    - #### setShadow

          public RGRAPHNode setShadow(java.lang.String value)

    - #### bindShadow

          public RGRAPHNode bindShadow(IDynamicContentBindingObject value)

    - #### setWidth

          public RGRAPHNode setWidth(java.lang.String value)

    - #### bindWidth

          public RGRAPHNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public RGRAPHNode setWidth(int value)

    - #### setWithcallback

          public RGRAPHNode setWithcallback(java.lang.String value)

    - #### bindWithcallback

          public RGRAPHNode bindWithcallback(IDynamicContentBindingObject value)

    - #### setWithcallback

          public RGRAPHNode setWithcallback(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.